org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardEditor<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditor<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  HierarchyWizard.HierarchyWizardView, HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T>

    public class HierarchyWizardEditor<T>
    extends java.lang.Object
    implements HierarchyWizard.HierarchyWizardView, HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T>

The general editor for hierarchies.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardEditor(org.eclipse.swt.widgets.Composite parent, HierarchyWizardModelGrouping<T> model)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setFunction(AggregateFunction<T> function)` Sets the function
`void` `setLayoutData(java.lang.Object object)` Set the controls layout data.
`void` `update()` Update.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HierarchyWizardEditor

    public HierarchyWizardEditor(org.eclipse.swt.widgets.Composite parent,
                                 HierarchyWizardModelGrouping<T> model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -

### Method Detail

#### setFunction

    public void setFunction(AggregateFunction<T> function)

Description copied from interface: `HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent`
Sets the function

Specified by:
  `setFunction` in interface `HierarchyWizardEditorFunction.IHierarchyFunctionEditorParent<T>`

#### setLayoutData

    public void setLayoutData(java.lang.Object object)

Set the controls layout data.

Parameters:
  `object` -

#### update

    public void update()

Description copied from interface: `HierarchyWizard.HierarchyWizardView`
Update.

Specified by:
  `update` in interface `HierarchyWizard.HierarchyWizardView`